Bug Hunting Session
Bug 85028 - TABLE: There are gaps between tab marks and text in cells when the Left Spacing to Contents value is not zero
Summary: TABLE: There are gaps between tab marks and text in cells when the Left Spaci...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.0.4 release
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Writer-Tables
  Show dependency treegraph
 
Reported: 2014-10-15 03:26 UTC by preechaw
Modified: 2019-02-02 13:51 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
screenshot1 (56.98 KB, image/png)
2015-03-04 15:57 UTC, Gordo
Details
Table with 2.00 cm spacing to contents (73.28 KB, image/png)
2015-03-05 05:21 UTC, preechaw
Details

Note You need to log in before you can comment on or make changes to this bug.
Description preechaw 2014-10-15 03:26:08 UTC
When the Left Spacing to Contents value in the Table Properties page is set to a non-zero value, the tab marks and the text in a cell will not go together. There will be gaps between them. The size of the gaps depends on the left spacing value.

How to reproduce:
1. Create a table
2. Go to any cell and set the left spacing to contents value to a non-zero value (0.5 cm for example)
3. Set a few Left tab marks for the cell
4. Type some text with tabs in the cell
5. Move the tab marks with the mouse
   There will be gaps between the tab marks and the text.
   Center tab marks are especially difficult to adjust because the text is shifted away from their positions.
Comment 1 A (Andy) 2014-10-25 09:11:10 UTC
tested with LO 4.3.2.2, Win 8.1

Am I doing something wrong?
For which gaps between tab marks and text do I have to look?  Where is this problem, I could not see anything wrong?  Is there a misunderstanding from my side?

Notes to the steps I had done:
2. Go to FORMAT -> PARAGRAPH -> tab INDENTS & SPACING -> changed Indent Before Text (to 0.5 cm)
3. Go to FORMAT -> PARAGRAPH -> tab TABS -> inserted new left tab (at 1.5cm)
Comment 2 Gordo 2015-03-04 15:57:53 UTC
Created attachment 113877 [details]
screenshot1

1. New Text Document.
2. Insert Table 2x2.
3. Table Properties → Borders tab.
4. Spacing to Contents Left: 1.0cm (just so it's noticeable).
5. View → Ruler if not already showing.
6. In Ruler, click at 2.5cm and 4.0cm to set Left tab stops.
7. In table cell A1, Ctrl+Tab twice.
8. In table cell A1, type “This is a test.”.
Expected Result:
The beginning of the paragraph is at the 4.0cm tab stop.
Result:
The beginning of the paragraph is 1.0cm to the right of the 4.0cm tab stop at 5.0cm.

This is without moving any tab stops in the ruler.
Should the Spacing to Contents only ensure that no content exist to the left of that point?

Version: 4.4.1.2
Build ID: 45e2de17089c24a1fa810c8f975a7171ba4cd432
Comment 3 preechaw 2015-03-05 05:21:55 UTC
Created attachment 113901 [details]
Table with 2.00 cm spacing to contents

Table with 2.00 cm spacing to contents.
This makes tab adjustment on the ruler very difficult 
since the tab marks are not at the same vertical positions 
as the text after tab characters.
Comment 4 preechaw 2015-03-05 05:27:32 UTC Comment hidden (obsolete)
Comment 5 preechaw 2015-03-05 05:29:00 UTC
Comment on attachment 113901 [details]
Table with 2.00 cm spacing to contents

How to reproduce
1. Create a 2x2 table
2. Choose the menu Table->Table Properties
3. Go to Borders tab
4. Change Spacing to contents to 2.00 cm
5. Click OK
6. Type "One", tab, and "Two"
7. Add a left tab at 3.00 cm.
8. The word "Two" is aligned at 5.00 cm.

Tab marks are difficult to manage on the ruler.
It's not WYSIWYG.
It's WYGIDFWYD, what you get is different from what you did.
Comment 6 Buovjaga 2015-03-18 16:28:49 UTC
Confirmed the strange behavior in LibO.

Of the versions tested, 3.6.7 does not yet exhibit the behavior. 4.2.0 already has it.

Win 7 Pro 64-bit Version: 4.5.0.0.alpha0+
Build ID: 16b8fbb2e0c72ce321c9f569284f4ef37339af2c
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2015-03-10_09:56:13
Locale: fi_FI

Ubuntu 14.10 64-bit 
Version: 4.4.1.2
Build ID: 40m0(Build:2)
Locale: en_US

Version 3.6.7.2 (Build ID: e183d5b)

Version: 4.2.0.4
Build ID: 05dceb5d363845f2cf968344d7adab8dcfb2ba71

Additional note:

In MS Word, the position of the word after the tab depends directly on the set tab mark.

Win 8 32-bit
MSO 2013
Comment 7 Matthew Francis 2015-03-20 10:36:34 UTC
Bibisect results from 43all:

1cb483c5f696c8e7d262c7959e482f2bc2edc0cb is the first bad commit
commit 1cb483c5f696c8e7d262c7959e482f2bc2edc0cb
Author: Bjoern Michaelsen <bjoern.michaelsen@canonical.com>
Date:   Fri Oct 18 08:55:44 2013 +0000

    source-hash-59373b753902f69cd44d183568b084429322e7ab
    
    commit 59373b753902f69cd44d183568b084429322e7ab
    Author:     Jan Holesovsky <kendy@collabora.com>
    AuthorDate: Mon Sep 16 16:30:45 2013 +0200


Within that range, I'm seeing a set of commits relating to the ruler. Possibly this one?
Adding Cc: to quikee@gmail.com; Any chance you could take a look at this one? Thanks

commit 681f43274541fc4ab5e8c05739b0d74aa5f17be8
Author: Tomaž Vajngerl <quikee@gmail.com>
Date:   Thu Sep 12 21:05:14 2013 +0200

    ruler: RTL fixes for indents in tables and columns
    
    Change-Id: I6c0a819e4a294fcf50c96a51bb9eea3ddef84c57
Comment 8 Robinson Tryon (qubit) 2015-12-13 11:11:06 UTC Comment hidden (obsolete)
Comment 9 Xisco Faulí 2016-10-05 23:13:48 UTC
Adding Cc: to Tomaž Vajngerl
Comment 10 QA Administrators 2017-10-23 14:04:13 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug